# Uses of Interface
org.bukkit.map.MapView

Packages that use MapView
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.server
`Events` relating to programmatic state changes on the server.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.map
Classes to facilitate plugin handling of `map` displays.

## Uses of MapView in org.bukkit

Methods in org.bukkit that return MapView
Modifier and Type
Method
Description
`static @NotNull MapView`
Bukkit.`createMap(@NotNull World world)`
Create a new map with an automatically assigned ID.
`@NotNull MapView`
Server.`createMap(@NotNull World world)`
Create a new map with an automatically assigned ID.
`static @Nullable MapView`
Bukkit.`getMap(int id)`
Deprecated.
Magic value
`@Nullable MapView`
Server.`getMap(int id)`
Deprecated.
Magic value

## Uses of MapView in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type MapView
Modifier and Type
Method
Description
`void`
Player.`sendMap(@NotNull MapView map)`
Render a map and send it to the player in its entirety.

## Uses of MapView in org.bukkit.event.server

Methods in org.bukkit.event.server that return MapView
Modifier and Type
Method
Description
`@NotNull MapView`
MapInitializeEvent.`getMap()`
Gets the map initialized in this event.
Constructors in org.bukkit.event.server with parameters of type MapView
Modifier
Constructor
Description
``
`MapInitializeEvent(@NotNull MapView mapView)`

## Uses of MapView in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return MapView
Modifier and Type
Method
Description
`@Nullable MapView`
MapMeta.`getMapView()`
Gets the map view that is associated with this map item.
Methods in org.bukkit.inventory.meta with parameters of type MapView
Modifier and Type
Method
Description
`void`
MapMeta.`setMapView(MapView map)`
Sets the associated map.

## Uses of MapView in org.bukkit.map

Methods in org.bukkit.map that return MapView
Modifier and Type
Method
Description
`@NotNull MapView`
MapCanvas.`getMapView()`
Get the map this canvas is attached to.
Methods in org.bukkit.map with parameters of type MapView
Modifier and Type
Method
Description
`void`
MapRenderer.`initialize(@NotNull MapView map)`
Initialize this MapRenderer for the given map.
`abstract void`
MapRenderer.`render(@NotNull MapView map, @NotNull MapCanvas canvas, @NotNull Player player)`
Render to the given map.